> For the complete documentation index, see [llms.txt](https://docs.zaia.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zaia.app/documentation/api-reference-alpha/reference/versions.md).

# Versions

## GET /api/v1/versions/check-creation-balance

> Checks if version creation balance is available.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/versions/check-creation-balance":{"get":{"description":"Checks if version creation balance is available.","tags":["Versions"],"parameters":[{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"responses":{"200":{"description":"Version creation balance checked successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"availableAt":{"type":"string","nullable":true,"format":"date-time"},"canCreate":{"type":"boolean"},"remainingBalance":{"type":"integer"}},"required":["availableAt","canCreate","remainingBalance"]}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}}}}}}}
```

## POST /api/v1/versions/deploy

> Deploys the current draft version.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/versions/deploy":{"post":{"description":"Deploys the current draft version.","tags":["Versions"],"parameters":[{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"responses":{"200":{"description":"The draft version was deployed.","content":{"application/json":{"schema":{"type":"object","properties":{"draftVersionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"message":{"type":"string"}},"required":["draftVersionId","message"]}}}},"401":{"description":"Unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"The error code."},"cta":{"type":"object","properties":{"type":{"type":"string","enum":["support-contact"]},"url":{"type":"string","format":"uri"}},"required":["type","url"],"description":"The error call-to-action."},"feedback":{"type":"object","properties":{"enUs":{"type":"string"},"esEs":{"type":"string"},"ptBr":{"type":"string"}},"description":"The error feedback."},"message":{"type":"string","description":"The error message."},"name":{"type":"string","description":"The error name."}},"required":["feedback","message","name"],"description":"The description of a known exception."}}}}}}}}}
```

## GET /api/v1/versions/diff

> Retrieves differences between source and target versions.

```json
{"openapi":"3.1.0","info":{"title":"Public API","version":"1.0.0"},"servers":[{"description":"API Server","url":"https://api.endless.zaia.app"}],"paths":{"/api/v1/versions/diff":{"get":{"description":"Retrieves differences between source and target versions.","tags":["Versions"],"parameters":[{"schema":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"required":true,"description":"A UUID v4 string that identifies an entity.","name":"sourceId","in":"query"},{"schema":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"required":true,"description":"A UUID v4 string that identifies an entity.","name":"targetId","in":"query"},{"schema":{"type":"string","description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page."},"required":true,"description":"The API key to use for authentication. Can be created in the api keys section on the workspace settings page.","name":"authorization","in":"header"}],"responses":{"200":{"description":"Version differences retrieved successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"added":{"type":"object","properties":{"agentMcps":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"The id of the agent to link the MCP to."},"mcpId":{"type":"string","format":"uuid","description":"The id of the MCP to link to the agent."}},"required":["createdAt","updatedAt","agentId","mcpId"]}},"agentTools":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"The id of the agent to link the tool to."},"toolId":{"type":"string","format":"uuid","description":"The id of the tool to link to the agent."}},"required":["createdAt","updatedAt","agentId","toolId"]}},"agents":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"codeRuntime":{"type":"boolean","description":"Whether the agent should be able to execute JavaScript code using the Code Runtime tool."},"internalName":{"type":"string","nullable":true,"minLength":3,"maxLength":50,"description":"The internal name of the agent. For internal use only."},"iterations":{"type":"number","minimum":2,"maximum":100,"description":"The number of iterations (steps) the agent can execute in a single execution."},"lastExecutedAt":{"type":"string","nullable":true,"format":"date-time","description":"When this agent was last executed."},"llm":{"type":"string","enum":["claude-haiku-4-5","claude-opus-4-8","claude-opus-4-6","claude-opus-4-5","claude-sonnet-4-6","claude-sonnet-4-5","gpt-5.2","gpt-5.5","gpt-5.4","gpt-5.4-mini","gpt-5.4-nano","gpt-5.6-luna","gpt-5.6-sol","gpt-5.6-terra","gemini-2.5-flash","gemini-2.5-pro","gemini-3.5-flash","gemini-3-flash","gemini-3-pro","gemini-3.1-pro","kimi-k2.5","kimi-k2.6","grok-4.3","grok-4.5"],"description":"The LLM model key to use for the agent."},"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the LLM provider to use for the agent."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The name of the agent."},"picture":{"type":"string","nullable":true,"description":"The picture of the agent."},"planning":{"type":"boolean","description":"Whether the agent should plan before each execution."},"prompt":{"type":"string","minLength":1,"maxLength":10000,"description":"The main description of the agent's behavior."},"reasoningMode":{"type":"string","nullable":true,"enum":["low","medium","high","xhigh",null],"description":"The reasoning mode to use for the agent. If null, reasoning will be disabled."},"role":{"type":"string","minLength":1,"maxLength":250,"description":"The role of the agent. Particularly useful to give other agents context of what the agent does."},"superIdentityId":{"type":"string","format":"uuid","description":"The super identity ID associated with the agent."},"temperature":{"type":"number","minimum":0,"maximum":2,"description":"The temperature to use for the agent. The lower the more deterministic. The higher the more creative."},"timezone":{"type":"string","nullable":true,"enum":["Africa/Cairo","Africa/Johannesburg","America/Chicago","America/Denver","America/Los_Angeles","America/New_York","America/Sao_Paulo","America/Manaus","Asia/Dubai","Asia/Kolkata","Asia/Shanghai","Asia/Singapore","Asia/Tokyo","Australia/Sydney","Europe/Berlin","Europe/London","Europe/Moscow","Europe/Paris","Pacific/Auckland","Pacific/Auckland2","UTC","auto",null],"description":"The timezone to use for the agent. If null, no timezone will be used."},"toolCount":{"type":"integer","minimum":0,"description":"The number of tools currently associated with the agent."},"voiceId":{"type":"string","nullable":true,"format":"uuid","description":"The TTS voice to use for audio responses. Null when disabled for the agent."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the agent."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","codeRuntime","internalName","iterations","lastExecutedAt","llm","llmProviderId","name","picture","planning","prompt","reasoningMode","role","superIdentityId","temperature","timezone","toolCount","voiceId","workspaceId"]}},"components":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"detail":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["boolean"]},"value":{"type":"boolean"}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["number"]},"value":{"type":"number"}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["string"]},"value":{"type":"string"}},"required":["type","value"]}],"description":"The detail configuration of the component."},"key":{"type":"string","minLength":1,"maxLength":100,"pattern":"^[a-zA-Z0-9_]+$","description":"The unique key identifier for this component within the workspace."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace that owns this component."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","detail","key","workspaceId"]}},"mcps":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"connectionId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the connection the MCP will be used through."},"description":{"type":"string","nullable":true,"minLength":3,"maxLength":250,"description":"The internal description of the MCP."},"detail":{"oneOf":[{"type":"object","properties":{"tools":{"type":"array","items":{"type":"string"},"minItems":1},"type":{"type":"string","enum":["composio-airtable","composio-asana","composio-bannerbear","composio-browseai","composio-browser-tool","composio-calendly","composio-clickup","composio-discord","composio-dropbox","composio-facebook","composio-figma","composio-genderize","composio-github","composio-gitlab","composio-gmail","composio-google-analytics","composio-google-calendar","composio-google-docs","composio-google-drive","composio-google-maps","composio-google-meet","composio-google-sheets","composio-google-slides","composio-google-tasks","composio-hubspot","composio-hugging-face","composio-instagram","composio-linear","composio-linkedin","composio-mailersend","composio-manus","composio-mem0","composio-meta-ads","composio-microsoft-clarity","composio-miro","composio-mixpanel","composio-monday","composio-notion","composio-one-drive","composio-openweather-api","composio-outlook","composio-polygon-io","composio-postman","composio-prisma","composio-pushbullet","composio-reddit","composio-resend","composio-salesforce","composio-scrape-do","composio-search-api","composio-sendgrid","composio-sentry","composio-serpapi","composio-short-io","composio-short-menu","composio-slack","composio-slackbot","composio-stripe","composio-supabase","composio-tavily","composio-teams","composio-telegram","composio-ticktick","composio-todoist","composio-trello","composio-twitter","composio-typeform","composio-youtube","composio-zenrows"]}},"required":["tools","type"]}]},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the MCP."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the MCP."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","connectionId","description","detail","name","workspaceId"]}},"squadAgents":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"squadId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"type":{"type":"string","enum":["member","main"]}},"required":["createdAt","updatedAt","agentId","squadId","type"]}},"squads":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"description":{"type":"string","nullable":true,"minLength":3,"maxLength":250,"description":"The internal description of the squad."},"lastExecutedAt":{"type":"string","nullable":true,"format":"date-time","description":"When this squad was last executed."},"mode":{"type":"string","enum":["hierarchical","flat"],"description":"The management mode. In flat, agents redirect the chat to one another. In hierarchical, all iterations are intermediated by the manager."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the squad."},"picture":{"type":"string","nullable":true,"description":"The picture associated with the squad."},"superIdentityId":{"type":"string","format":"uuid","description":"The super identity ID associated with the squad."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the squad."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","description","lastExecutedAt","mode","name","picture","superIdentityId","workspaceId"]}},"tasks":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"agentId":{"type":"string","format":"uuid","description":"The agent ID associated with the task."},"condition":{"type":"string","minLength":3,"maxLength":250,"description":"The condition that must be met for the task to be executed."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the task."},"prompt":{"type":"string","minLength":3,"maxLength":2000,"description":"What will be set as the main object of the agent when the task is selected."},"status":{"type":"string","enum":["active","inactive"],"description":"The lifecycle status of the task."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","agentId","condition","name","prompt","status"]}},"tools":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"description":{"type":"string","minLength":3,"maxLength":250,"description":"The internal description of the tool."},"detail":{"anyOf":[{"type":"object","properties":{"allowedDomains":{"type":"array","items":{"type":"string","minLength":1},"description":"List of domains allowed in web search results."},"effort":{"type":"string","enum":["low","medium","high"],"description":"Web search effort level."},"execution":{"type":"string","enum":["eligible","compulsory"],"description":"Whether the search should always be executed or only if the agent decides to do it."},"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"Optional OpenAI LLM provider ID to be used in this tool call."},"prompt":{"type":"string","nullable":true,"maxLength":500,"description":"Prompt to be appended alongside queries to instruct the LLM call."},"type":{"type":"string","enum":["agentic-web-search"]}},"required":["allowedDomains","effort","execution","llmProviderId","prompt","type"]},{"type":"object","properties":{"body":{"type":"string","nullable":true,"maxLength":10000,"description":"The body of the HTTP request as JSON string."},"headers":{"type":"string","nullable":true,"maxLength":2000,"description":"The headers of the HTTP request as JSON string."},"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"]},"parameters":{"type":"object","description":"The JSON Schema definition of the parameters that will be passed to the HTTP request.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"query":{"type":"string","nullable":true,"maxLength":1000,"description":"The query parameters of the HTTP request as JSON string."},"type":{"type":"string","enum":["http-request"]},"url":{"type":"string","maxLength":500,"format":"uri","description":"The URL to send the HTTP request to. Should not contain query parameters."}},"required":["body","headers","method","parameters","query","type","url"]},{"type":"object","properties":{"code":{"type":"string","maxLength":3000,"description":"The code to be executed. Must contain a function named main that takes no parameters."},"parameters":{"type":"object","description":"The JSON Schema definition of the parameters that will be passed to the code execution tool.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"type":{"type":"string","enum":["code-execution"]}},"required":["code","parameters","type"]},{"type":"object","properties":{"parameters":{"type":"object","description":"The JSON Schema definition of the parameters containing the description of the memory to be stored.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"sensitiveParameters":{"type":"array","items":{"type":"string"},"description":"Wheter the parameters are sensitive and should not be shown."},"type":{"type":"string","enum":["contextual-memory"]}},"required":["parameters","sensitiveParameters","type"]},{"type":"object","properties":{"datasetId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the dataset to search in."},"execution":{"type":"string","enum":["eligible","compulsory"],"description":"Whether the search should always be executed or only if the agent decides to do it."},"mode":{"type":"string","enum":["scoped","global"],"description":"The mode of the dataset search."},"type":{"type":"string","enum":["dataset-search"]}},"required":["datasetId","execution","mode","type"]},{"type":"object","properties":{"datagridId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the datagrid to update the row in."},"type":{"type":"string","enum":["datagrid-row-update"]}},"required":["datagridId","type"]},{"type":"object","properties":{"datagridId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the datagrid to insert the row into."},"type":{"type":"string","enum":["datagrid-row-insertion"]}},"required":["datagridId","type"]},{"type":"object","properties":{"datagridId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the datagrid to search the row in."},"execution":{"type":"string","enum":["eligible","compulsory"],"description":"Whether the search should always be executed or only if the agent decides to do it."},"results":{"type":"number","description":"The number of results to return to the agent."},"type":{"type":"string","enum":["datagrid-row-semantic-search"]}},"required":["datagridId","execution","results","type"]},{"type":"object","properties":{"datagridId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the datagrid to search the row in."},"results":{"type":"number","description":"The number of results to return to the agent."},"type":{"type":"string","enum":["datagrid-row-similarity-search"]}},"required":["datagridId","results","type"]},{"type":"object","properties":{"tagging":{"type":"object","properties":{"allowedIds":{"type":"array","items":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."}},"status":{"type":"string","enum":["enabled","disabled"]}},"required":["allowedIds","status"],"description":"Tagging configuration for tickets."},"ticketingTeamId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the ticketing team responsible for the ticket."},"type":{"type":"string","enum":["ticket-creation"]}},"required":["tagging","ticketingTeamId","type"]},{"type":"object","properties":{"tagging":{"type":"object","properties":{"allowedIds":{"type":"array","items":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."}},"status":{"type":"string","enum":["enabled","disabled"]}},"required":["allowedIds","status"],"description":"Tagging configuration for chats."},"type":{"type":"string","enum":["chat-tagging"]}},"required":["tagging","type"]},{"type":"object","properties":{"path":{"type":"string","nullable":true,"description":"The path of the trigger to the workflow implementation to execute."},"type":{"type":"string","enum":["workflow-executor"]}},"required":["path","type"]},{"type":"object","properties":{"prompt":{"type":"string","minLength":1,"maxLength":1000,"description":"Instructions describing what should be scheduled and when."},"target":{"type":"object","properties":{"path":{"type":"string","nullable":true,"description":"The path of the workflow trigger to schedule."},"type":{"type":"string","enum":["workflow"]}},"required":["path","type"]},"type":{"type":"string","enum":["schedule"]}},"required":["prompt","target","type"]},{"type":"object","properties":{"file":{"type":"string","minLength":1},"fileName":{"type":"string","minLength":1,"description":"The name of the PDF file."},"type":{"type":"string","enum":["pdf-reader"]}},"required":["file","fileName","type"]},{"type":"object","properties":{"execution":{"type":"string","enum":["eligible","compulsory"]},"fallback":{"type":"object","nullable":true,"properties":{"prompt":{"type":"string","minLength":1,"maxLength":1000}},"required":["prompt"]},"options":{"type":"array","items":{"type":"object","properties":{"condition":{"type":"string","minLength":3,"maxLength":250},"label":{"type":"string","minLength":1,"maxLength":50},"prompt":{"type":"string","minLength":1,"maxLength":1000}},"required":["condition","label","prompt"]}},"type":{"type":"string","enum":["follow-up"]}},"required":["execution","fallback","options","type"]},{"type":"object","properties":{"connectionId":{"type":"string","format":"uuid","description":"The ID of the messaging connection to use."},"mode":{"type":"string","enum":["discover","preset"],"description":"The execution mode."},"phoneNumbers":{"type":"array","items":{"type":"object","properties":{"ddi":{"type":"string","description":"The DDI of the phone number."},"phoneNumber":{"type":"string","description":"The phone number to send the message to including the state prefix."}},"required":["ddi","phoneNumber"]},"description":"List of phone numbers for preset mode. Can be an empty array for discover mode."},"sendMode":{"type":"string","enum":["text","text-with-template-fallback","template"],"description":"The message sending mode."},"template":{"type":"object","properties":{"body":{"type":"object","properties":{"text":{"type":"string"},"variables":{"type":"array","items":{"type":"object","properties":{"parameterName":{"type":"string"},"value":{"type":"string"}},"required":["parameterName","value"]},"default":[]}}},"buttons":{"type":"object","properties":{"texts":{"type":"array","items":{"type":"string","maxLength":25}},"urlVariables":{"type":"array","items":{"type":"object","properties":{"buttonIndex":{"type":"integer","minimum":0},"value":{"type":"string","maxLength":2000}},"required":["buttonIndex","value"]}}}},"category":{"type":"string","nullable":true,"enum":["AUTHENTICATION","MARKETING","UTILITY",null]},"footer":{"type":"string","maxLength":60},"header":{"type":"object","properties":{"imageUrl":{"type":"string"},"text":{"type":"string","maxLength":60},"variables":{"type":"array","items":{"type":"object","properties":{"parameterName":{"type":"string"},"value":{"type":"string"}},"required":["parameterName","value"]}}}},"language":{"type":"string","minLength":1},"name":{"type":"string","minLength":1}},"required":["language","name"]},"templatePayloadSchema":{"type":"object","description":"A JSON Schema definition object","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"type":{"type":"string","enum":["message-dispatch"]}},"required":["connectionId","mode","phoneNumbers","sendMode","type"]},{"type":"object","properties":{"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"Optional LLM provider ID to be used in this tool call."},"model":{"type":"string","enum":["gpt-image-1","gpt-image-2"],"description":"OpenAI image model to use for this tool call."},"prompt":{"type":"string","nullable":true,"maxLength":500,"description":"Prompt to be prepended to image generation calls."},"provider":{"type":"string","enum":["openai"],"description":"Image generation provider to use for this tool call."},"type":{"type":"string","enum":["image-generation"]}},"required":["llmProviderId","model","prompt","provider","type"]},{"type":"object","properties":{"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"Optional LLM provider ID to be used in this tool call."},"model":{"type":"string","enum":["gemini-3.1-flash-image","gemini-3-pro-image"],"description":"Gemini image model to use for this tool call."},"prompt":{"type":"string","nullable":true,"maxLength":500,"description":"Prompt to be prepended to image generation calls."},"provider":{"type":"string","enum":["google-ai"],"description":"Image generation provider to use for this tool call."},"type":{"type":"string","enum":["image-generation"]}},"required":["llmProviderId","model","prompt","provider","type"]},{"type":"object","properties":{"delay":{"type":"integer","nullable":true,"minimum":0,"exclusiveMinimum":true,"maximum":60000,"description":"An optional delay in milliseconds to be waited after the event is emitted and, if applicable, a response is received."},"event":{"type":"string","minLength":3,"maxLength":50,"pattern":"^[A-Za-z0-9_-]+$","description":"The name of the client-side event to listen for."},"mock":{"type":"object","properties":{"delay":{"type":"integer","nullable":true,"minimum":0,"exclusiveMinimum":true,"maximum":60000,"description":"An optional delay in milliseconds before returning the mock response when testing."},"response":{"type":"object","nullable":true,"additionalProperties":{"nullable":true},"description":"An optional mock response to be returned when testing."}},"required":["delay","response"],"description":"Optional mock configuration for testing purposes."},"parameters":{"type":"object","description":"The JSON schema of the parameters to pass with the event.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"payload":{"type":"string","nullable":true,"description":"An optional payload to bind parameters to."},"timeout":{"type":"integer","nullable":true,"minimum":0,"exclusiveMinimum":true,"maximum":300000,"description":"The maximum time in milliseconds to wait for a response before timing out."},"type":{"type":"string","enum":["client-side-call"]},"waitResponse":{"type":"boolean","description":"Whether to wait for a response after emitting the event."}},"required":["delay","event","mock","parameters","payload","timeout","type","waitResponse"]}]},"lastExecutedAt":{"type":"string","nullable":true,"format":"date-time","description":"When this tool was last executed."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the tool."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the tool."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","description","detail","lastExecutedAt","name","workspaceId"]}},"voices":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"detail":{"type":"object","properties":{"instructions":{"type":"string","nullable":true,"minLength":1,"maxLength":1000,"description":"Voice instructions that guide the TTS model on tone, style, and delivery."},"model":{"type":"string","enum":["gpt-4o-mini-tts"],"description":"The TTS model to use."},"name":{"type":"string","enum":["ash","ballad","cedar","coral","echo","fable","marin","nova","onyx","sage","shimmer","verse"],"description":"The voice name to use for TTS."},"speed":{"type":"number","minimum":0.25,"maximum":4,"description":"The speed of the voice. Must be a multiple of 0.25, between 0.25 and 4.0."}},"required":["instructions","model","name","speed"],"description":"The voice configuration details."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace this voice belongs to."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","detail","workspaceId"]}}},"required":["agentMcps","agentTools","agents","components","mcps","squadAgents","squads","tasks","tools","voices"]},"kept":{"type":"object","properties":{"agentMcps":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"The id of the agent to link the MCP to."},"mcpId":{"type":"string","format":"uuid","description":"The id of the MCP to link to the agent."}},"required":["createdAt","updatedAt","agentId","mcpId"]}},"agentTools":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"The id of the agent to link the tool to."},"toolId":{"type":"string","format":"uuid","description":"The id of the tool to link to the agent."}},"required":["createdAt","updatedAt","agentId","toolId"]}},"agents":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"codeRuntime":{"type":"boolean","description":"Whether the agent should be able to execute JavaScript code using the Code Runtime tool."},"internalName":{"type":"string","nullable":true,"minLength":3,"maxLength":50,"description":"The internal name of the agent. For internal use only."},"iterations":{"type":"number","minimum":2,"maximum":100,"description":"The number of iterations (steps) the agent can execute in a single execution."},"lastExecutedAt":{"type":"string","nullable":true,"format":"date-time","description":"When this agent was last executed."},"llm":{"type":"string","enum":["claude-haiku-4-5","claude-opus-4-8","claude-opus-4-6","claude-opus-4-5","claude-sonnet-4-6","claude-sonnet-4-5","gpt-5.2","gpt-5.5","gpt-5.4","gpt-5.4-mini","gpt-5.4-nano","gpt-5.6-luna","gpt-5.6-sol","gpt-5.6-terra","gemini-2.5-flash","gemini-2.5-pro","gemini-3.5-flash","gemini-3-flash","gemini-3-pro","gemini-3.1-pro","kimi-k2.5","kimi-k2.6","grok-4.3","grok-4.5"],"description":"The LLM model key to use for the agent."},"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the LLM provider to use for the agent."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The name of the agent."},"picture":{"type":"string","nullable":true,"description":"The picture of the agent."},"planning":{"type":"boolean","description":"Whether the agent should plan before each execution."},"prompt":{"type":"string","minLength":1,"maxLength":10000,"description":"The main description of the agent's behavior."},"reasoningMode":{"type":"string","nullable":true,"enum":["low","medium","high","xhigh",null],"description":"The reasoning mode to use for the agent. If null, reasoning will be disabled."},"role":{"type":"string","minLength":1,"maxLength":250,"description":"The role of the agent. Particularly useful to give other agents context of what the agent does."},"superIdentityId":{"type":"string","format":"uuid","description":"The super identity ID associated with the agent."},"temperature":{"type":"number","minimum":0,"maximum":2,"description":"The temperature to use for the agent. The lower the more deterministic. The higher the more creative."},"timezone":{"type":"string","nullable":true,"enum":["Africa/Cairo","Africa/Johannesburg","America/Chicago","America/Denver","America/Los_Angeles","America/New_York","America/Sao_Paulo","America/Manaus","Asia/Dubai","Asia/Kolkata","Asia/Shanghai","Asia/Singapore","Asia/Tokyo","Australia/Sydney","Europe/Berlin","Europe/London","Europe/Moscow","Europe/Paris","Pacific/Auckland","Pacific/Auckland2","UTC","auto",null],"description":"The timezone to use for the agent. If null, no timezone will be used."},"toolCount":{"type":"integer","minimum":0,"description":"The number of tools currently associated with the agent."},"voiceId":{"type":"string","nullable":true,"format":"uuid","description":"The TTS voice to use for audio responses. Null when disabled for the agent."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the agent."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","codeRuntime","internalName","iterations","lastExecutedAt","llm","llmProviderId","name","picture","planning","prompt","reasoningMode","role","superIdentityId","temperature","timezone","toolCount","voiceId","workspaceId"]}},"components":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"detail":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["boolean"]},"value":{"type":"boolean"}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["number"]},"value":{"type":"number"}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["string"]},"value":{"type":"string"}},"required":["type","value"]}],"description":"The detail configuration of the component."},"key":{"type":"string","minLength":1,"maxLength":100,"pattern":"^[a-zA-Z0-9_]+$","description":"The unique key identifier for this component within the workspace."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace that owns this component."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","detail","key","workspaceId"]}},"mcps":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"connectionId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the connection the MCP will be used through."},"description":{"type":"string","nullable":true,"minLength":3,"maxLength":250,"description":"The internal description of the MCP."},"detail":{"oneOf":[{"type":"object","properties":{"tools":{"type":"array","items":{"type":"string"},"minItems":1},"type":{"type":"string","enum":["composio-airtable","composio-asana","composio-bannerbear","composio-browseai","composio-browser-tool","composio-calendly","composio-clickup","composio-discord","composio-dropbox","composio-facebook","composio-figma","composio-genderize","composio-github","composio-gitlab","composio-gmail","composio-google-analytics","composio-google-calendar","composio-google-docs","composio-google-drive","composio-google-maps","composio-google-meet","composio-google-sheets","composio-google-slides","composio-google-tasks","composio-hubspot","composio-hugging-face","composio-instagram","composio-linear","composio-linkedin","composio-mailersend","composio-manus","composio-mem0","composio-meta-ads","composio-microsoft-clarity","composio-miro","composio-mixpanel","composio-monday","composio-notion","composio-one-drive","composio-openweather-api","composio-outlook","composio-polygon-io","composio-postman","composio-prisma","composio-pushbullet","composio-reddit","composio-resend","composio-salesforce","composio-scrape-do","composio-search-api","composio-sendgrid","composio-sentry","composio-serpapi","composio-short-io","composio-short-menu","composio-slack","composio-slackbot","composio-stripe","composio-supabase","composio-tavily","composio-teams","composio-telegram","composio-ticktick","composio-todoist","composio-trello","composio-twitter","composio-typeform","composio-youtube","composio-zenrows"]}},"required":["tools","type"]}]},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the MCP."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the MCP."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","connectionId","description","detail","name","workspaceId"]}},"squadAgents":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"squadId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"type":{"type":"string","enum":["member","main"]}},"required":["createdAt","updatedAt","agentId","squadId","type"]}},"squads":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"description":{"type":"string","nullable":true,"minLength":3,"maxLength":250,"description":"The internal description of the squad."},"lastExecutedAt":{"type":"string","nullable":true,"format":"date-time","description":"When this squad was last executed."},"mode":{"type":"string","enum":["hierarchical","flat"],"description":"The management mode. In flat, agents redirect the chat to one another. In hierarchical, all iterations are intermediated by the manager."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the squad."},"picture":{"type":"string","nullable":true,"description":"The picture associated with the squad."},"superIdentityId":{"type":"string","format":"uuid","description":"The super identity ID associated with the squad."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the squad."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","description","lastExecutedAt","mode","name","picture","superIdentityId","workspaceId"]}},"tasks":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"agentId":{"type":"string","format":"uuid","description":"The agent ID associated with the task."},"condition":{"type":"string","minLength":3,"maxLength":250,"description":"The condition that must be met for the task to be executed."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the task."},"prompt":{"type":"string","minLength":3,"maxLength":2000,"description":"What will be set as the main object of the agent when the task is selected."},"status":{"type":"string","enum":["active","inactive"],"description":"The lifecycle status of the task."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","agentId","condition","name","prompt","status"]}},"tools":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"description":{"type":"string","minLength":3,"maxLength":250,"description":"The internal description of the tool."},"detail":{"anyOf":[{"type":"object","properties":{"allowedDomains":{"type":"array","items":{"type":"string","minLength":1},"description":"List of domains allowed in web search results."},"effort":{"type":"string","enum":["low","medium","high"],"description":"Web search effort level."},"execution":{"type":"string","enum":["eligible","compulsory"],"description":"Whether the search should always be executed or only if the agent decides to do it."},"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"Optional OpenAI LLM provider ID to be used in this tool call."},"prompt":{"type":"string","nullable":true,"maxLength":500,"description":"Prompt to be appended alongside queries to instruct the LLM call."},"type":{"type":"string","enum":["agentic-web-search"]}},"required":["allowedDomains","effort","execution","llmProviderId","prompt","type"]},{"type":"object","properties":{"body":{"type":"string","nullable":true,"maxLength":10000,"description":"The body of the HTTP request as JSON string."},"headers":{"type":"string","nullable":true,"maxLength":2000,"description":"The headers of the HTTP request as JSON string."},"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"]},"parameters":{"type":"object","description":"The JSON Schema definition of the parameters that will be passed to the HTTP request.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"query":{"type":"string","nullable":true,"maxLength":1000,"description":"The query parameters of the HTTP request as JSON string."},"type":{"type":"string","enum":["http-request"]},"url":{"type":"string","maxLength":500,"format":"uri","description":"The URL to send the HTTP request to. Should not contain query parameters."}},"required":["body","headers","method","parameters","query","type","url"]},{"type":"object","properties":{"code":{"type":"string","maxLength":3000,"description":"The code to be executed. Must contain a function named main that takes no parameters."},"parameters":{"type":"object","description":"The JSON Schema definition of the parameters that will be passed to the code execution tool.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"type":{"type":"string","enum":["code-execution"]}},"required":["code","parameters","type"]},{"type":"object","properties":{"parameters":{"type":"object","description":"The JSON Schema definition of the parameters containing the description of the memory to be stored.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"sensitiveParameters":{"type":"array","items":{"type":"string"},"description":"Wheter the parameters are sensitive and should not be shown."},"type":{"type":"string","enum":["contextual-memory"]}},"required":["parameters","sensitiveParameters","type"]},{"type":"object","properties":{"datasetId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the dataset to search in."},"execution":{"type":"string","enum":["eligible","compulsory"],"description":"Whether the search should always be executed or only if the agent decides to do it."},"mode":{"type":"string","enum":["scoped","global"],"description":"The mode of the dataset search."},"type":{"type":"string","enum":["dataset-search"]}},"required":["datasetId","execution","mode","type"]},{"type":"object","properties":{"datagridId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the datagrid to update the row in."},"type":{"type":"string","enum":["datagrid-row-update"]}},"required":["datagridId","type"]},{"type":"object","properties":{"datagridId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the datagrid to insert the row into."},"type":{"type":"string","enum":["datagrid-row-insertion"]}},"required":["datagridId","type"]},{"type":"object","properties":{"datagridId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the datagrid to search the row in."},"execution":{"type":"string","enum":["eligible","compulsory"],"description":"Whether the search should always be executed or only if the agent decides to do it."},"results":{"type":"number","description":"The number of results to return to the agent."},"type":{"type":"string","enum":["datagrid-row-semantic-search"]}},"required":["datagridId","execution","results","type"]},{"type":"object","properties":{"datagridId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the datagrid to search the row in."},"results":{"type":"number","description":"The number of results to return to the agent."},"type":{"type":"string","enum":["datagrid-row-similarity-search"]}},"required":["datagridId","results","type"]},{"type":"object","properties":{"tagging":{"type":"object","properties":{"allowedIds":{"type":"array","items":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."}},"status":{"type":"string","enum":["enabled","disabled"]}},"required":["allowedIds","status"],"description":"Tagging configuration for tickets."},"ticketingTeamId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the ticketing team responsible for the ticket."},"type":{"type":"string","enum":["ticket-creation"]}},"required":["tagging","ticketingTeamId","type"]},{"type":"object","properties":{"tagging":{"type":"object","properties":{"allowedIds":{"type":"array","items":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."}},"status":{"type":"string","enum":["enabled","disabled"]}},"required":["allowedIds","status"],"description":"Tagging configuration for chats."},"type":{"type":"string","enum":["chat-tagging"]}},"required":["tagging","type"]},{"type":"object","properties":{"path":{"type":"string","nullable":true,"description":"The path of the trigger to the workflow implementation to execute."},"type":{"type":"string","enum":["workflow-executor"]}},"required":["path","type"]},{"type":"object","properties":{"prompt":{"type":"string","minLength":1,"maxLength":1000,"description":"Instructions describing what should be scheduled and when."},"target":{"type":"object","properties":{"path":{"type":"string","nullable":true,"description":"The path of the workflow trigger to schedule."},"type":{"type":"string","enum":["workflow"]}},"required":["path","type"]},"type":{"type":"string","enum":["schedule"]}},"required":["prompt","target","type"]},{"type":"object","properties":{"file":{"type":"string","minLength":1},"fileName":{"type":"string","minLength":1,"description":"The name of the PDF file."},"type":{"type":"string","enum":["pdf-reader"]}},"required":["file","fileName","type"]},{"type":"object","properties":{"execution":{"type":"string","enum":["eligible","compulsory"]},"fallback":{"type":"object","nullable":true,"properties":{"prompt":{"type":"string","minLength":1,"maxLength":1000}},"required":["prompt"]},"options":{"type":"array","items":{"type":"object","properties":{"condition":{"type":"string","minLength":3,"maxLength":250},"label":{"type":"string","minLength":1,"maxLength":50},"prompt":{"type":"string","minLength":1,"maxLength":1000}},"required":["condition","label","prompt"]}},"type":{"type":"string","enum":["follow-up"]}},"required":["execution","fallback","options","type"]},{"type":"object","properties":{"connectionId":{"type":"string","format":"uuid","description":"The ID of the messaging connection to use."},"mode":{"type":"string","enum":["discover","preset"],"description":"The execution mode."},"phoneNumbers":{"type":"array","items":{"type":"object","properties":{"ddi":{"type":"string","description":"The DDI of the phone number."},"phoneNumber":{"type":"string","description":"The phone number to send the message to including the state prefix."}},"required":["ddi","phoneNumber"]},"description":"List of phone numbers for preset mode. Can be an empty array for discover mode."},"sendMode":{"type":"string","enum":["text","text-with-template-fallback","template"],"description":"The message sending mode."},"template":{"type":"object","properties":{"body":{"type":"object","properties":{"text":{"type":"string"},"variables":{"type":"array","items":{"type":"object","properties":{"parameterName":{"type":"string"},"value":{"type":"string"}},"required":["parameterName","value"]},"default":[]}}},"buttons":{"type":"object","properties":{"texts":{"type":"array","items":{"type":"string","maxLength":25}},"urlVariables":{"type":"array","items":{"type":"object","properties":{"buttonIndex":{"type":"integer","minimum":0},"value":{"type":"string","maxLength":2000}},"required":["buttonIndex","value"]}}}},"category":{"type":"string","nullable":true,"enum":["AUTHENTICATION","MARKETING","UTILITY",null]},"footer":{"type":"string","maxLength":60},"header":{"type":"object","properties":{"imageUrl":{"type":"string"},"text":{"type":"string","maxLength":60},"variables":{"type":"array","items":{"type":"object","properties":{"parameterName":{"type":"string"},"value":{"type":"string"}},"required":["parameterName","value"]}}}},"language":{"type":"string","minLength":1},"name":{"type":"string","minLength":1}},"required":["language","name"]},"templatePayloadSchema":{"type":"object","description":"A JSON Schema definition object","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"type":{"type":"string","enum":["message-dispatch"]}},"required":["connectionId","mode","phoneNumbers","sendMode","type"]},{"type":"object","properties":{"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"Optional LLM provider ID to be used in this tool call."},"model":{"type":"string","enum":["gpt-image-1","gpt-image-2"],"description":"OpenAI image model to use for this tool call."},"prompt":{"type":"string","nullable":true,"maxLength":500,"description":"Prompt to be prepended to image generation calls."},"provider":{"type":"string","enum":["openai"],"description":"Image generation provider to use for this tool call."},"type":{"type":"string","enum":["image-generation"]}},"required":["llmProviderId","model","prompt","provider","type"]},{"type":"object","properties":{"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"Optional LLM provider ID to be used in this tool call."},"model":{"type":"string","enum":["gemini-3.1-flash-image","gemini-3-pro-image"],"description":"Gemini image model to use for this tool call."},"prompt":{"type":"string","nullable":true,"maxLength":500,"description":"Prompt to be prepended to image generation calls."},"provider":{"type":"string","enum":["google-ai"],"description":"Image generation provider to use for this tool call."},"type":{"type":"string","enum":["image-generation"]}},"required":["llmProviderId","model","prompt","provider","type"]},{"type":"object","properties":{"delay":{"type":"integer","nullable":true,"minimum":0,"exclusiveMinimum":true,"maximum":60000,"description":"An optional delay in milliseconds to be waited after the event is emitted and, if applicable, a response is received."},"event":{"type":"string","minLength":3,"maxLength":50,"pattern":"^[A-Za-z0-9_-]+$","description":"The name of the client-side event to listen for."},"mock":{"type":"object","properties":{"delay":{"type":"integer","nullable":true,"minimum":0,"exclusiveMinimum":true,"maximum":60000,"description":"An optional delay in milliseconds before returning the mock response when testing."},"response":{"type":"object","nullable":true,"additionalProperties":{"nullable":true},"description":"An optional mock response to be returned when testing."}},"required":["delay","response"],"description":"Optional mock configuration for testing purposes."},"parameters":{"type":"object","description":"The JSON schema of the parameters to pass with the event.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"payload":{"type":"string","nullable":true,"description":"An optional payload to bind parameters to."},"timeout":{"type":"integer","nullable":true,"minimum":0,"exclusiveMinimum":true,"maximum":300000,"description":"The maximum time in milliseconds to wait for a response before timing out."},"type":{"type":"string","enum":["client-side-call"]},"waitResponse":{"type":"boolean","description":"Whether to wait for a response after emitting the event."}},"required":["delay","event","mock","parameters","payload","timeout","type","waitResponse"]}]},"lastExecutedAt":{"type":"string","nullable":true,"format":"date-time","description":"When this tool was last executed."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the tool."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the tool."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","description","detail","lastExecutedAt","name","workspaceId"]}},"voices":{"type":"array","items":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"detail":{"type":"object","properties":{"instructions":{"type":"string","nullable":true,"minLength":1,"maxLength":1000,"description":"Voice instructions that guide the TTS model on tone, style, and delivery."},"model":{"type":"string","enum":["gpt-4o-mini-tts"],"description":"The TTS model to use."},"name":{"type":"string","enum":["ash","ballad","cedar","coral","echo","fable","marin","nova","onyx","sage","shimmer","verse"],"description":"The voice name to use for TTS."},"speed":{"type":"number","minimum":0.25,"maximum":4,"description":"The speed of the voice. Must be a multiple of 0.25, between 0.25 and 4.0."}},"required":["instructions","model","name","speed"],"description":"The voice configuration details."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace this voice belongs to."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","detail","workspaceId"]}}},"required":["agentMcps","agentTools","agents","components","mcps","squadAgents","squads","tasks","tools","voices"]},"modified":{"type":"object","properties":{"agentMcps":{"type":"array","items":{"type":"object","properties":{"source":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"The id of the agent to link the MCP to."},"mcpId":{"type":"string","format":"uuid","description":"The id of the MCP to link to the agent."}},"required":["createdAt","updatedAt","agentId","mcpId"]},"target":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"The id of the agent to link the MCP to."},"mcpId":{"type":"string","format":"uuid","description":"The id of the MCP to link to the agent."}},"required":["createdAt","updatedAt","agentId","mcpId"]}},"required":["source","target"]}},"agentTools":{"type":"array","items":{"type":"object","properties":{"source":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"The id of the agent to link the tool to."},"toolId":{"type":"string","format":"uuid","description":"The id of the tool to link to the agent."}},"required":["createdAt","updatedAt","agentId","toolId"]},"target":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"The id of the agent to link the tool to."},"toolId":{"type":"string","format":"uuid","description":"The id of the tool to link to the agent."}},"required":["createdAt","updatedAt","agentId","toolId"]}},"required":["source","target"]}},"agents":{"type":"array","items":{"type":"object","properties":{"source":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"codeRuntime":{"type":"boolean","description":"Whether the agent should be able to execute JavaScript code using the Code Runtime tool."},"internalName":{"type":"string","nullable":true,"minLength":3,"maxLength":50,"description":"The internal name of the agent. For internal use only."},"iterations":{"type":"number","minimum":2,"maximum":100,"description":"The number of iterations (steps) the agent can execute in a single execution."},"lastExecutedAt":{"type":"string","nullable":true,"format":"date-time","description":"When this agent was last executed."},"llm":{"type":"string","enum":["claude-haiku-4-5","claude-opus-4-8","claude-opus-4-6","claude-opus-4-5","claude-sonnet-4-6","claude-sonnet-4-5","gpt-5.2","gpt-5.5","gpt-5.4","gpt-5.4-mini","gpt-5.4-nano","gpt-5.6-luna","gpt-5.6-sol","gpt-5.6-terra","gemini-2.5-flash","gemini-2.5-pro","gemini-3.5-flash","gemini-3-flash","gemini-3-pro","gemini-3.1-pro","kimi-k2.5","kimi-k2.6","grok-4.3","grok-4.5"],"description":"The LLM model key to use for the agent."},"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the LLM provider to use for the agent."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The name of the agent."},"picture":{"type":"string","nullable":true,"description":"The picture of the agent."},"planning":{"type":"boolean","description":"Whether the agent should plan before each execution."},"prompt":{"type":"string","minLength":1,"maxLength":10000,"description":"The main description of the agent's behavior."},"reasoningMode":{"type":"string","nullable":true,"enum":["low","medium","high","xhigh",null],"description":"The reasoning mode to use for the agent. If null, reasoning will be disabled."},"role":{"type":"string","minLength":1,"maxLength":250,"description":"The role of the agent. Particularly useful to give other agents context of what the agent does."},"superIdentityId":{"type":"string","format":"uuid","description":"The super identity ID associated with the agent."},"temperature":{"type":"number","minimum":0,"maximum":2,"description":"The temperature to use for the agent. The lower the more deterministic. The higher the more creative."},"timezone":{"type":"string","nullable":true,"enum":["Africa/Cairo","Africa/Johannesburg","America/Chicago","America/Denver","America/Los_Angeles","America/New_York","America/Sao_Paulo","America/Manaus","Asia/Dubai","Asia/Kolkata","Asia/Shanghai","Asia/Singapore","Asia/Tokyo","Australia/Sydney","Europe/Berlin","Europe/London","Europe/Moscow","Europe/Paris","Pacific/Auckland","Pacific/Auckland2","UTC","auto",null],"description":"The timezone to use for the agent. If null, no timezone will be used."},"toolCount":{"type":"integer","minimum":0,"description":"The number of tools currently associated with the agent."},"voiceId":{"type":"string","nullable":true,"format":"uuid","description":"The TTS voice to use for audio responses. Null when disabled for the agent."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the agent."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","codeRuntime","internalName","iterations","lastExecutedAt","llm","llmProviderId","name","picture","planning","prompt","reasoningMode","role","superIdentityId","temperature","timezone","toolCount","voiceId","workspaceId"]},"target":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"codeRuntime":{"type":"boolean","description":"Whether the agent should be able to execute JavaScript code using the Code Runtime tool."},"internalName":{"type":"string","nullable":true,"minLength":3,"maxLength":50,"description":"The internal name of the agent. For internal use only."},"iterations":{"type":"number","minimum":2,"maximum":100,"description":"The number of iterations (steps) the agent can execute in a single execution."},"lastExecutedAt":{"type":"string","nullable":true,"format":"date-time","description":"When this agent was last executed."},"llm":{"type":"string","enum":["claude-haiku-4-5","claude-opus-4-8","claude-opus-4-6","claude-opus-4-5","claude-sonnet-4-6","claude-sonnet-4-5","gpt-5.2","gpt-5.5","gpt-5.4","gpt-5.4-mini","gpt-5.4-nano","gpt-5.6-luna","gpt-5.6-sol","gpt-5.6-terra","gemini-2.5-flash","gemini-2.5-pro","gemini-3.5-flash","gemini-3-flash","gemini-3-pro","gemini-3.1-pro","kimi-k2.5","kimi-k2.6","grok-4.3","grok-4.5"],"description":"The LLM model key to use for the agent."},"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the LLM provider to use for the agent."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The name of the agent."},"picture":{"type":"string","nullable":true,"description":"The picture of the agent."},"planning":{"type":"boolean","description":"Whether the agent should plan before each execution."},"prompt":{"type":"string","minLength":1,"maxLength":10000,"description":"The main description of the agent's behavior."},"reasoningMode":{"type":"string","nullable":true,"enum":["low","medium","high","xhigh",null],"description":"The reasoning mode to use for the agent. If null, reasoning will be disabled."},"role":{"type":"string","minLength":1,"maxLength":250,"description":"The role of the agent. Particularly useful to give other agents context of what the agent does."},"superIdentityId":{"type":"string","format":"uuid","description":"The super identity ID associated with the agent."},"temperature":{"type":"number","minimum":0,"maximum":2,"description":"The temperature to use for the agent. The lower the more deterministic. The higher the more creative."},"timezone":{"type":"string","nullable":true,"enum":["Africa/Cairo","Africa/Johannesburg","America/Chicago","America/Denver","America/Los_Angeles","America/New_York","America/Sao_Paulo","America/Manaus","Asia/Dubai","Asia/Kolkata","Asia/Shanghai","Asia/Singapore","Asia/Tokyo","Australia/Sydney","Europe/Berlin","Europe/London","Europe/Moscow","Europe/Paris","Pacific/Auckland","Pacific/Auckland2","UTC","auto",null],"description":"The timezone to use for the agent. If null, no timezone will be used."},"toolCount":{"type":"integer","minimum":0,"description":"The number of tools currently associated with the agent."},"voiceId":{"type":"string","nullable":true,"format":"uuid","description":"The TTS voice to use for audio responses. Null when disabled for the agent."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the agent."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","codeRuntime","internalName","iterations","lastExecutedAt","llm","llmProviderId","name","picture","planning","prompt","reasoningMode","role","superIdentityId","temperature","timezone","toolCount","voiceId","workspaceId"]}},"required":["source","target"]}},"components":{"type":"array","items":{"type":"object","properties":{"source":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"detail":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["boolean"]},"value":{"type":"boolean"}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["number"]},"value":{"type":"number"}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["string"]},"value":{"type":"string"}},"required":["type","value"]}],"description":"The detail configuration of the component."},"key":{"type":"string","minLength":1,"maxLength":100,"pattern":"^[a-zA-Z0-9_]+$","description":"The unique key identifier for this component within the workspace."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace that owns this component."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","detail","key","workspaceId"]},"target":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"detail":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["boolean"]},"value":{"type":"boolean"}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["number"]},"value":{"type":"number"}},"required":["type","value"]},{"type":"object","properties":{"type":{"type":"string","enum":["string"]},"value":{"type":"string"}},"required":["type","value"]}],"description":"The detail configuration of the component."},"key":{"type":"string","minLength":1,"maxLength":100,"pattern":"^[a-zA-Z0-9_]+$","description":"The unique key identifier for this component within the workspace."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace that owns this component."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","detail","key","workspaceId"]}},"required":["source","target"]}},"mcps":{"type":"array","items":{"type":"object","properties":{"source":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"connectionId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the connection the MCP will be used through."},"description":{"type":"string","nullable":true,"minLength":3,"maxLength":250,"description":"The internal description of the MCP."},"detail":{"oneOf":[{"type":"object","properties":{"tools":{"type":"array","items":{"type":"string"},"minItems":1},"type":{"type":"string","enum":["composio-airtable","composio-asana","composio-bannerbear","composio-browseai","composio-browser-tool","composio-calendly","composio-clickup","composio-discord","composio-dropbox","composio-facebook","composio-figma","composio-genderize","composio-github","composio-gitlab","composio-gmail","composio-google-analytics","composio-google-calendar","composio-google-docs","composio-google-drive","composio-google-maps","composio-google-meet","composio-google-sheets","composio-google-slides","composio-google-tasks","composio-hubspot","composio-hugging-face","composio-instagram","composio-linear","composio-linkedin","composio-mailersend","composio-manus","composio-mem0","composio-meta-ads","composio-microsoft-clarity","composio-miro","composio-mixpanel","composio-monday","composio-notion","composio-one-drive","composio-openweather-api","composio-outlook","composio-polygon-io","composio-postman","composio-prisma","composio-pushbullet","composio-reddit","composio-resend","composio-salesforce","composio-scrape-do","composio-search-api","composio-sendgrid","composio-sentry","composio-serpapi","composio-short-io","composio-short-menu","composio-slack","composio-slackbot","composio-stripe","composio-supabase","composio-tavily","composio-teams","composio-telegram","composio-ticktick","composio-todoist","composio-trello","composio-twitter","composio-typeform","composio-youtube","composio-zenrows"]}},"required":["tools","type"]}]},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the MCP."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the MCP."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","connectionId","description","detail","name","workspaceId"]},"target":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"connectionId":{"type":"string","nullable":true,"format":"uuid","description":"The id of the connection the MCP will be used through."},"description":{"type":"string","nullable":true,"minLength":3,"maxLength":250,"description":"The internal description of the MCP."},"detail":{"oneOf":[{"type":"object","properties":{"tools":{"type":"array","items":{"type":"string"},"minItems":1},"type":{"type":"string","enum":["composio-airtable","composio-asana","composio-bannerbear","composio-browseai","composio-browser-tool","composio-calendly","composio-clickup","composio-discord","composio-dropbox","composio-facebook","composio-figma","composio-genderize","composio-github","composio-gitlab","composio-gmail","composio-google-analytics","composio-google-calendar","composio-google-docs","composio-google-drive","composio-google-maps","composio-google-meet","composio-google-sheets","composio-google-slides","composio-google-tasks","composio-hubspot","composio-hugging-face","composio-instagram","composio-linear","composio-linkedin","composio-mailersend","composio-manus","composio-mem0","composio-meta-ads","composio-microsoft-clarity","composio-miro","composio-mixpanel","composio-monday","composio-notion","composio-one-drive","composio-openweather-api","composio-outlook","composio-polygon-io","composio-postman","composio-prisma","composio-pushbullet","composio-reddit","composio-resend","composio-salesforce","composio-scrape-do","composio-search-api","composio-sendgrid","composio-sentry","composio-serpapi","composio-short-io","composio-short-menu","composio-slack","composio-slackbot","composio-stripe","composio-supabase","composio-tavily","composio-teams","composio-telegram","composio-ticktick","composio-todoist","composio-trello","composio-twitter","composio-typeform","composio-youtube","composio-zenrows"]}},"required":["tools","type"]}]},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the MCP."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the MCP."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","connectionId","description","detail","name","workspaceId"]}},"required":["source","target"]}},"squadAgents":{"type":"array","items":{"type":"object","properties":{"source":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"squadId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"type":{"type":"string","enum":["member","main"]}},"required":["createdAt","updatedAt","agentId","squadId","type"]},"target":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"agentId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"squadId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"type":{"type":"string","enum":["member","main"]}},"required":["createdAt","updatedAt","agentId","squadId","type"]}},"required":["source","target"]}},"squads":{"type":"array","items":{"type":"object","properties":{"source":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"description":{"type":"string","nullable":true,"minLength":3,"maxLength":250,"description":"The internal description of the squad."},"lastExecutedAt":{"type":"string","nullable":true,"format":"date-time","description":"When this squad was last executed."},"mode":{"type":"string","enum":["hierarchical","flat"],"description":"The management mode. In flat, agents redirect the chat to one another. In hierarchical, all iterations are intermediated by the manager."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the squad."},"picture":{"type":"string","nullable":true,"description":"The picture associated with the squad."},"superIdentityId":{"type":"string","format":"uuid","description":"The super identity ID associated with the squad."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the squad."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","description","lastExecutedAt","mode","name","picture","superIdentityId","workspaceId"]},"target":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"description":{"type":"string","nullable":true,"minLength":3,"maxLength":250,"description":"The internal description of the squad."},"lastExecutedAt":{"type":"string","nullable":true,"format":"date-time","description":"When this squad was last executed."},"mode":{"type":"string","enum":["hierarchical","flat"],"description":"The management mode. In flat, agents redirect the chat to one another. In hierarchical, all iterations are intermediated by the manager."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the squad."},"picture":{"type":"string","nullable":true,"description":"The picture associated with the squad."},"superIdentityId":{"type":"string","format":"uuid","description":"The super identity ID associated with the squad."},"workspaceId":{"type":"string","format":"uuid","description":"The workspace ID that owns the squad."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","description","lastExecutedAt","mode","name","picture","superIdentityId","workspaceId"]}},"required":["source","target"]}},"tasks":{"type":"array","items":{"type":"object","properties":{"source":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"agentId":{"type":"string","format":"uuid","description":"The agent ID associated with the task."},"condition":{"type":"string","minLength":3,"maxLength":250,"description":"The condition that must be met for the task to be executed."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the task."},"prompt":{"type":"string","minLength":3,"maxLength":2000,"description":"What will be set as the main object of the agent when the task is selected."},"status":{"type":"string","enum":["active","inactive"],"description":"The lifecycle status of the task."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","agentId","condition","name","prompt","status"]},"target":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"agentId":{"type":"string","format":"uuid","description":"The agent ID associated with the task."},"condition":{"type":"string","minLength":3,"maxLength":250,"description":"The condition that must be met for the task to be executed."},"name":{"type":"string","minLength":3,"maxLength":50,"description":"The display name of the task."},"prompt":{"type":"string","minLength":3,"maxLength":2000,"description":"What will be set as the main object of the agent when the task is selected."},"status":{"type":"string","enum":["active","inactive"],"description":"The lifecycle status of the task."}},"required":["createdAt","id","isRemoved","referenceId","updatedAt","versionId","agentId","condition","name","prompt","status"]}},"required":["source","target"]}},"tools":{"type":"array","items":{"type":"object","properties":{"source":{"type":"object","properties":{"createdAt":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"isRemoved":{"type":"boolean"},"referenceId":{"type":"string","nullable":true,"format":"uuid","description":"The ID of the original entity in production."},"updatedAt":{"type":"string","format":"date-time"},"versionId":{"type":"string","format":"uuid","description":"A UUID v4 string that identifies an entity."},"description":{"type":"string","minLength":3,"maxLength":250,"description":"The internal description of the tool."},"detail":{"anyOf":[{"type":"object","properties":{"allowedDomains":{"type":"array","items":{"type":"string","minLength":1},"description":"List of domains allowed in web search results."},"effort":{"type":"string","enum":["low","medium","high"],"description":"Web search effort level."},"execution":{"type":"string","enum":["eligible","compulsory"],"description":"Whether the search should always be executed or only if the agent decides to do it."},"llmProviderId":{"type":"string","nullable":true,"format":"uuid","description":"Optional OpenAI LLM provider ID to be used in this tool call."},"prompt":{"type":"string","nullable":true,"maxLength":500,"description":"Prompt to be appended alongside queries to instruct the LLM call."},"type":{"type":"string","enum":["agentic-web-search"]}},"required":["allowedDomains","effort","execution","llmProviderId","prompt","type"]},{"type":"object","properties":{"body":{"type":"string","nullable":true,"maxLength":10000,"description":"The body of the HTTP request as JSON string."},"headers":{"type":"string","nullable":true,"maxLength":2000,"description":"The headers of the HTTP request as JSON string."},"method":{"type":"string","enum":["GET","POST","PUT","PATCH","DELETE"]},"parameters":{"type":"object","description":"The JSON Schema definition of the parameters that will be passed to the HTTP request.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"query":{"type":"string","nullable":true,"maxLength":1000,"description":"The query parameters of the HTTP request as JSON string."},"type":{"type":"string","enum":["http-request"]},"url":{"type":"string","maxLength":500,"format":"uri","description":"The URL to send the HTTP request to. Should not contain query parameters."}},"required":["body","headers","method","parameters","query","type","url"]},{"type":"object","properties":{"code":{"type":"string","maxLength":3000,"description":"The code to be executed. Must contain a function named main that takes no parameters."},"parameters":{"type":"object","description":"The JSON Schema definition of the parameters that will be passed to the code execution tool.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"items":{"type":"object"},"type":"array"},"description":{"type":"string"},"nullable":{"type":"boolean"}},"required":["anyOf"],"type":"object"}]},"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type","properties"]},"type":{"type":"string","enum":["code-execution"]}},"required":["code","parameters","type"]},{"type":"object","properties":{"parameters":{"type":"object","description":"The JSON Schema definition of the parameters containing the description of the memory to be stored.","properties":{"properties":{"additionalProperties":{"oneOf":[{"properties":{"description":{"type":"string"},"enum":{"items":{},"type":"array"},"nullable":{"type":"boolean"},"type":{"enum":["string","number","integer","boolean","null"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"items":{"type":"object"},"nullable":{"type":"boolean"},"type":{"enum":["array"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"description":{"type":"string"},"nullable":{"type":"boolean"},"properties":{"type":"object"},"required":{"items":{"type":"string"},"type":"array"},"type":{"enum":["object"],"type":"string"}},"required":["type"],"type":"object"},{"properties":{"anyOf":{"i
[...]
